virtualSystemGenerator

## Class Generator

- java.lang.Object
- - virtualSystemGenerator.Generator

    public class Generator
    extends java.lang.Object

The Class Generator.

### Constructor Summary

Constructors
Constructor and Description
`Generator(BlackBox blackBox)` Instantiates a new generator.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createNewInput()` Creates the new input.
`void` `createNewOutput()` Creates the new output.
`void` `createNewRandomFunction()` Creates the new random function.
`double` `getTotalCriticity()` Gets the total criticity.
`void` `minimizeCriticity()` Minimize criticity.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Generator

    public Generator(BlackBox blackBox)

Instantiates a new generator.

Parameters:
  `blackBox` - the black box

### Method Detail

#### createNewRandomFunction

    public void createNewRandomFunction()

Creates the new random function.

#### createNewInput

    public void createNewInput()

Creates the new input.

#### createNewOutput

    public void createNewOutput()

Creates the new output.

#### minimizeCriticity

    public void minimizeCriticity()

Minimize criticity.

#### getTotalCriticity

    public double getTotalCriticity()

Gets the total criticity.

Returns:
  the total criticity